package com.css.simulation.resource.server.infra.db.mysql.mapper;

import api.common.pojo.param.log.LogPageParam;
import api.common.pojo.po.log.LogLoginPO;
import api.common.pojo.po.log.LogOperationPO;
import api.common.pojo.po.log.LogSystemPO;
import api.common.pojo.vo.home.LineChartVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface LogMapper {

    void insertOperationLog(LogOperationPO po);

    List<LogLoginPO> getLoginLogPageList(LogPageParam pageParam);

    List<LogOperationPO> getOperationLogPageList(LogPageParam pageParam);

    List<LogOperationPO> getUserOperationLogPageList(LogPageParam pageParam);

    List<LogSystemPO> getSystemLogPageList(LogPageParam pageParam);

    void insertSystemLog(LogSystemPO po);

    List<LineChartVO> getAccessCount(@Param("dateBegin") String dateBegin);

}
